Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dmt.jdm.featureextraction
Class OraFeatureExtractionApplySettings

`java.lang.Object
oracle.dmt.jdm.OraDMObject
oracle.dmt.jdm.OraMiningObject
oracle.dmt.jdm.task.apply.OraApplySettings
oracle.dmt.jdm.featureextraction.OraFeatureExtractionApplySettings`

All Implemented Interfaces:
  javax.datamining.task.apply.ApplySettings, javax.datamining.MiningObject, oracle.dmt.jdm.OraPLSQLConstants

public class OraFeatureExtractionApplySettings
extends oracle.dmt.jdm.task.apply.OraApplySettings

A `OraFeatureExtractionApplySettings` captures a specification that prescribes the output of an apply task specific to a feature extraction model.

Field Summary

Fields inherited from class oracle.dmt.jdm.task.apply.OraApplySettings
`ALL_PREDICTIONS_APPLY_OUTPUT, DEFAULT_APPLY_OUTPUT, MULTIPLE_ROW_ALL, MULTIPLE_ROW_DEFAULT, MULTIPLE_ROW_RANKED, SINGLE_ROW_AS_SPECIFIED, TARGET_OR_CLUID_APPLY_OUTPUT, TOP_PREDICTION_APPLY_OUTPUT`

Fields inherited from class oracle.dmt.jdm.OraMiningObject
`DESCRIPTION_DELIMITER`

Fields inherited from interface oracle.dmt.jdm.OraPLSQLConstants
`abns_max_build_minutes, abns_max_nb_predictors, abns_max_predictors, abns_model_type, abns_multi_feature, abns_naive_bayes, abns_single_feature, algo_adaptive_bayes_network, algo_ai_mdl, algo_ai_mdl2, algo_apriori_association_rules, algo_decision_tree, algo_kmeans, algo_naive_bayes, algo_name, algo_nonnegative_matrix_factor, algo_ocluster, algo_predictor_variance, algo_support_vector_machines, apply_cost_content, apply_nodeid_content, apply_pred_value_content, apply_probability_content, asso_max_rule_length, asso_min_confidence, asso_min_support, association, association_in_model, attribute_importance, clas_cost_table_name, clas_priors_table_name, classification, clus_num_clusters, clustering, feat_num_features, feature_extraction, kmns_block_growth, kmns_conv_tolerance, kmns_cosine, kmns_distance, kmns_euclidean, kmns_fast_cosine, kmns_iterations, kmns_min_pct_attr_support, kmns_num_bins, kmns_size, kmns_split_criterion, kmns_variance, nabs_pairwise_threshold, nabs_singleton_threshold, nmfs_conv_tolerance, nmfs_num_iterations, nmfs_random_seed, ocluster_max_buffer, ocluster_sensitivity, operator_equal, operator_equal_v, operator_greater_or_equal, operator_greater_or_equal_v, operator_greater_than, operator_greater_than_v, operator_in, operator_in_v, operator_less_or_equal, operator_less_or_equal_v, operator_less_than, operator_less_than_v, operator_not_equal, operator_not_equal_v, operator_not_in, operator_not_in_v, oracle_char_type, oracle_dm_nested_categoricals, oracle_dm_nested_numericals, oracle_float_type, oracle_number_type, oracle_varchar2_type, regression, svms_active_learning, svms_al_disable, svms_al_enable, svms_complexity_factor, svms_conv_tolerance, svms_epsilon, svms_gaussian, svms_kernel_cache_size, svms_kernel_function, svms_linear, svms_outlier_rate, svms_std_dev, tree_impurity_entropy, tree_impurity_gini, tree_impurity_metric, tree_impurity_metric_default, tree_term_max_depth, tree_term_max_depth_default, tree_term_max_depth_max, tree_term_max_depth_min, tree_term_max_surrogates_max, tree_term_max_surrogates_min, tree_term_minpct_node, tree_term_minpct_node_default, tree_term_minpct_node_max, tree_term_minpct_split, tree_term_minpct_split_default, tree_term_minpct_split_max, tree_term_minrec_node, tree_term_minrec_node_default, tree_term_minrec_split, tree_term_minrec_split_default`

Method Summary
`OraFeatureExtractionApplyContent` | `getContent(java.lang.String destinationAttrName)` Returns the apply content type designated to the specified physical attribute.
`OraFeatureExtractionApplyContent[]` | `getContents(int rank)` Returns an array of apply content types to appear in the apply output for the specified rank.
`OraFeatureExtractionApplyContent[]` | `getContentsByFeature(int featureIdentifier)` Returns the types of apply content to be included in the apply output for the specified cluser ID.
`OraFeatureExtractionApplyContent[]` | `getMappedContents()` Returns an array of apply contents that are used for mapping.
`java.lang.String` | `getMappedDestinationAttrName(java.lang.Integer featureIdentifier, OraFeatureExtractionApplyContent contentType)` Returns the name of the physical attribute mapped to the specified feature identifier.
`java.lang.String` | `getMappedDestinationAttrName(int featureRank, OraFeatureExtractionApplyContent contentType)` Returns the name of the physical attribute mapped to the specified feature identifier.
`int[]` | `getMappedFeatureIdentifiers()` Returns an array of feature identifiers mapped by `mapByFeatureIdentifier` method.
`java.lang.Integer` | `getRank(java.lang.String destinationAttrName)` Returns the rank designated to the specified physical attribute.
`java.lang.Integer` | `getRanks()` Returns the number of predictions specified by `mapByRank` method.
`boolean` | `isFromTop()` Returns true if predictions are ordered from top, false if from bottom.
`void` | `mapByFeature(OraFeatureExtractionApplyContent content, int featureId, java.lang.String destinationAttrName)` Maps the specified feature identifier to a destination attribute regardless of its rank.
`void` | `mapByRank(OraFeatureExtractionApplyContent content, java.lang.String[] destPhysAttrNameArray, boolean fromTop)` Maps the specified generated values for the predictions within the specified ranks to a set of destination attributes.
`void` | `mapFeatures(OraFeatureExtractionApplyContent content, java.lang.String baseDestPhysAttrName)` Maps all predictions in the model and the specified content value to a set of named destination attributes.
`void` | `mapTopFeature(OraFeatureExtractionApplyContent content, java.lang.String destPhysAttrName)` Maps the prediction with the highest probability to appear in the apply output under the specified attribute name.

Methods inherited from class oracle.dmt.jdm.task.apply.OraApplySettings
`getAttributeNames, getContentAttrValue, getFunction, getMappedContentsEnums, getObjectType, getSourceDestinationMap, isInputObject, resetMapping, setSourceDestinationMap, verify`

Methods inherited from class oracle.dmt.jdm.OraMiningObject
`doBeforeStore, getCreationDate, getCreatorInfo, getDescription, getName, getObjectIdentifier, saveObjectInDatabase, setDescription`

Methods inherited from class oracle.dmt.jdm.OraDMObject
`createException, createException, createRuntimeException, createRuntimeException, getLocalizedMessage, isConnectionOpen, logInfo, logSevere, logTrace, logTrace, unsupported, unsupported`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.datamining.MiningObject
`getCreationDate, getCreatorInfo, getDescription, getName, getObjectIdentifier, setDescription`

Method Detail

### getContentsByFeature

    public OraFeatureExtractionApplyContent[] getContentsByFeature(int featureIdentifier)
                                                            throws javax.datamining.JDMException

  Returns the types of apply content to be included in the apply output for the specified cluser ID.
  Parameters:
    `featureIdentifier` -
  Returns:
    OraFeatureExtractionApplyContent[]
  Throws:
    `javax.datamining.JDMException`

### getMappedContents

    public OraFeatureExtractionApplyContent[] getMappedContents()

  Returns an array of apply contents that are used for mapping.
  Returns:
    OraFeatureExtractionApplyContent[]

### mapByRank

    public void mapByRank(OraFeatureExtractionApplyContent content,
                          java.lang.String[] destPhysAttrNameArray,
                          boolean fromTop)
                   throws javax.datamining.JDMException

  Maps the specified generated values for the predictions within the specified ranks to a set of destination attributes. The number of ranks depends on the cardinality of destination attributes. For example, a user may want to map the predicted target values of the top 3 prediction (rank=1,2,3) to 3 destination attributes, respectively.
  Parameters:
    `content` - A system-generated content to be included in the apply output.
    `destPhysAttrNameArray` - An array of destination attributes.
    `fromTop` - Indicates top predictions with the highest probabilities if true, or bottom predictions with lowest probabilities if false. If true/false, the top/bottom prediction is assigned to the first destination attribute (with index 0).
  Returns:
    void
  Throws:
    `javax.datamining.JDMException`

### mapByFeature

    public void mapByFeature(OraFeatureExtractionApplyContent content,
                             int featureId,
                             java.lang.String destinationAttrName)
                      throws javax.datamining.JDMException

  Maps the specified feature identifier to a destination attribute regardless of its rank. This method is used when a specific feature is of special interest.
  Parameters:
    `content` - A system-generated content to be included in the apply output.
    `featureId` - The feature identifier to be mapped.
    `destinationAttrName` -
  Returns:
    void
  Throws:
    `javax.datamining.JDMException`

### mapTopFeature

    public void mapTopFeature(OraFeatureExtractionApplyContent content,
                              java.lang.String destPhysAttrName)
                       throws javax.datamining.JDMException

  Maps the prediction with the highest probability to appear in the apply output under the specified attribute name.

  Throws an exception if the destination attribute is duplicate.

  Parameters:
    `content` - The content type of the top prediction.
    `destPhysAttrName` - The attribute name of the content type for the top prediction.
  Returns:
    void
  Throws:
    `javax.datamining.JDMException`

### mapFeatures

    public void mapFeatures(OraFeatureExtractionApplyContent content,
                            java.lang.String baseDestPhysAttrName)
                     throws javax.datamining.JDMException

  Maps all predictions in the model and the specified content value to a set of named destination attributes. The names are created in such a way that the base destination name is suffixed with a number that starts from 1.

  If the same `content` is used, the previous mapping is replaced with the new one.

  Parameters:
    `content` -
    `baseDestPhysAttrName` -
  Returns:
    void
  Throws:
    `javax.datamining.JDMException`

### getRank

    public java.lang.Integer getRank(java.lang.String destinationAttrName)
                              throws javax.datamining.JDMException

  Returns the rank designated to the specified physical attribute. `distinationAttrName` must not be null.
  Parameters:
    `destinationAttrName` - The name of the physical attribute whose designated rank is to be returned.
  Returns:
    Integer
  Throws:
    `javax.datamining.JDMException`

### getRanks

    public java.lang.Integer getRanks()

  Returns the number of predictions specified by `mapByRank` method. Returns null if no such method has been invoked.
  Returns:
    Integer

### isFromTop

    public boolean isFromTop()

  Returns true if predictions are ordered from top, false if from bottom. Returns null</n> if `mapByRank` method has not been invoked.
  Returns:
    boolean

### getMappedFeatureIdentifiers

    public int[] getMappedFeatureIdentifiers()

  Returns an array of feature identifiers mapped by `mapByFeatureIdentifier` method.
  Returns:
    int[]

### getMappedDestinationAttrName

    public java.lang.String getMappedDestinationAttrName(java.lang.Integer featureIdentifier,
                                                         OraFeatureExtractionApplyContent contentType)
                                                  throws javax.datamining.JDMException

  Returns the name of the physical attribute mapped to the specified feature identifier. CategoryValue must not be NULL. ContentType must not be NULL.
  Parameters:
    `featureIdentifier` - The target value to be represented as the destination attribute.
    `contentType` - The content type to be represented as the destination attribute.
  Returns:
    String
  Throws:
    `javax.datamining.JDMException`

### getMappedDestinationAttrName

    public java.lang.String getMappedDestinationAttrName(int featureRank,
                                                         OraFeatureExtractionApplyContent contentType)
                                                  throws javax.datamining.JDMException

  Returns the name of the physical attribute mapped to the specified feature identifier.
  Parameters:
    `featureRank` - The rank of the feature for the given content type
    `contentType` - The content type to be represented as the destination attribute.
  Returns:
    String
  Throws:
    `javax.datamining.JDMException`

### getContent

    public OraFeatureExtractionApplyContent getContent(java.lang.String destinationAttrName)
                                                throws javax.datamining.JDMException

  Returns the apply content type designated to the specified physical attribute. Name must not be NULL.
  Parameters:
    `destinationAttrName` - The name of the physical attribute whose designated content type is to be returned.
  Returns:
    FeatureExtractionApplyContent
  Throws:
    `javax.datamining.JDMException`

### getContents

    public OraFeatureExtractionApplyContent[] getContents(int rank)
                                                   throws javax.datamining.JDMException

  Returns an array of apply content types to appear in the apply output for the specified rank. Rank must be >= 1.
  Parameters:
    `rank` - The rank of the prediction whose content types are to be returned.
  Returns:
    FeatureExtractionApplyContent[]
  Throws:
    `javax.datamining.JDMException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All rights reserved.